<?php
/**
 * Plugin Name: WP SpaceContent
 * Plugin URI: https://spacecontent.net/blog/space-content-plugin/
 * Description: Add Space Content to your WordPress Dashboard
 * Version: 0.4.5
 * Author: KokoenDE
 * Author URI: https://kokoen.net
 * Text Domain: wp-spacecontent
 * Domain Path: wp-spacecontent
 * License: GPL2 v2.0

    Copyright 2018  Kokoen GmbH (email : info@kokoen.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**
 * Load plugin textdomain.
 *
 * @since 0.3.1
 */
function wp_spacecontent_load_textdomain() 
{
    load_plugin_textdomain( 'wp-spacecontent', false, plugin_basename( dirname( __FILE__ ) ) . '/languages' ); 
}
add_action( 'plugins_loaded', 'wp_spacecontent_load_textdomain' );

require_once 'inc/admin-section.php';

/**
 * Add a configuration link
 */
function wp_spacecontent_add_action_links ( $links ) 
{
    $mylinks = array(
        '<a href="' . admin_url( 'options-general.php?page=wp-spacecontent' ) . '">' . __('Settings', 'wp-spacecontent') . '</a>',
    );
    
    return array_merge( $links, $mylinks );
}
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'wp_spacecontent_add_action_links' );

?>